﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DateColumnTestFiltering.aspx.cs"
    Inherits="DateColumnTestFiltering" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" DefaultLoadingPanelID="RadAjaxLoadingPanel1">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" Height="75px"
        Width="75px">
    </telerik:RadAjaxLoadingPanel>

    <telerik:RadGrid ID="RadGrid1" runat="server" AllowSorting="true" AutoGenerateColumns="false"
        AllowFilteringByColumn="true" AllowPaging="true" PageSize="20" EnableLinqExpressions="false"
        OnItemCommand="RadGrid1_ItemCommand" OnNeedDataSource="RadGrid1_NeedDataSource">
        <MasterTableView DataKeyNames="OrderID" CommandItemDisplay="Top">
            <Columns>
                <telerik:GridEditCommandColumn UniqueName="GridEditCommandColumn1" HeaderText="Edit" />
                <telerik:GridBoundColumn UniqueName="OrderID" HeaderText="OrderID" DataField="OrderID"
                    ReadOnly="true">
                </telerik:GridBoundColumn>
                <telerik:GridDateTimeColumn UniqueName="OrderDate" HeaderText="OrderDate" DataField="OrderDate"
                    DataType="System.DateTime">
                </telerik:GridDateTimeColumn>
                <telerik:GridBoundColumn UniqueName="TempOrderDate" HeaderText="TempOrderDate" DataField="OrderDate"
                    DataType="System.DateTime">
                    <FilterTemplate>
                        From
                        <telerik:RadDatePicker ID="FromOrderDatePicker" runat="server" Width="85px" ClientEvents-OnDateSelected="FromDateSelected"
                            MinDate="01-01-1900" FocusedDate='<%# startDate%>' DbSelectedDate='<%# startDate %>'/>
                        to
                        <telerik:RadDatePicker ID="ToOrderDatePicker" runat="server" Width="85px" ClientEvents-OnDateSelected="ToDateSelected"
                            MinDate="01-01-1900" FocusedDate='<%# endDate %>' DbSelectedDate='<%# endDate %>' />
                        <telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">

                            <script type="text/javascript">
                                function FromDateSelected(sender, args) {
                                    var tableView = $find("<%# ((GridItem)Container).OwnerTableView.ClientID %>");

                                    var date = FormatSelectedDate(sender);

                                    tableView.filter("OrderDate", date, "GreaterThanOrEqualTo");

                                }
                                function ToDateSelected(sender, args) {
                                    var tableView = $find("<%# ((GridItem)Container).OwnerTableView.ClientID %>");

                                    var date = FormatSelectedDate(sender);

                                    tableView.filter("OrderDate", date, "LessThanOrEqualTo");
                                }
                                function FormatSelectedDate(picker) {
                                    var date = picker.get_selectedDate();
                                    var dateInput = picker.get_dateInput();
                                    var formattedDate = dateInput.get_dateFormatInfo().FormatDate(date, dateInput.get_displayDateFormat());

                                    return formattedDate;
                                }                                                  
                            </script>

                        </telerik:RadScriptBlock>
                    </FilterTemplate>
                </telerik:GridBoundColumn>
            </Columns>
        </MasterTableView>
    </telerik:RadGrid>
    </form>
</body>
</html>
